// BigArray Sample 2(EEPROM Checker)
// BigArray(adrs)
function BigAry(a){
 this.adrs=a; // EEPROM Address
 this.length=0; // Length
 this.set=function(idx,n){ // Set Data
  var adrs=this.adrs+idx*4; // EEPROM Address+Index
  i2cw(0x50|(((adrs>>16)&1)<<2), (adrs&0xff00)>>8,adrs&0xff, (n&0xFF000000)>>24,(n&0xFF0000)>>16,(n&0xFF00)>>8,n&0xFF);
  if ((idx+1)>this.length){ this.length=idx+1; }
 };
 this.get=function(idx){ // Get Data
  var adrs=this.adrs+idx*4; // EEPROM Address+Index
  var t1,t2,t3,t4,d=0x50|(((adrs>>16)&1)<<2);
  i2cw(d,(adrs&0xff00)>>8,adrs&255);
  i2cr(d,t1,t2,t3,t4);
  return (t1<<24)|(t2<<16)|(t3<<8)|t4;
 };
}
// Sample Code
var myAry=new BigAry(0);
var max=64*2048/4; // 1var=4bytes
var index=0;
while(index<max){
 var v=rnd(0xFFFFFFFF);
 myAry.set(index,v);
 sleep(10);
 var n=myAry.get(index);
 log(index,":",v,"=",n,"\n");
 if (v!=n){ log("EEPROM Error\n"); exit(-1);}
 index=index+1;
}
